# You can this file at /etc/gitlab-runner/config.toml
# based on the OS this path can be different
# Please change token values in [[runners]] section

concurrent = 1
check_interval = 0

[session_server]
  session_timeout = 1800

[[runners]]
  name = "runner for docker"
  url = "https://gitlab.com/"
  # token value you can get from 
  # Project > Settings > CI/CD > Runners > Expand > Specific Runner 
  token = "PLEASE CHANGE THIS"
  executor = "docker"
  [runners.custom_build_dir]
  [runners.cache]
    [runners.cache.s3]
    [runners.cache.gcs]
    [runners.cache.azure]
  [runners.docker]
    tls_verify = false
    privileged = false
    disable_entrypoint_overwrite = false
    oom_kill_disable = false
    disable_cache = false
    volumes = ["/cache"]
    shm_size = 0


# I have registered 2 different runners/executors
# one is docker second is shell
# below section is of shell and you can neglect this section
# no usage of this section in docker executor series
# also if you have registered single runner/executor then you wont find second section in this file.
[[runners]]
  name = "runner for shell"
  url = "https://gitlab.com/"
  # token value you can get from 
  # Project > Settings > CI/CD > Runners > Expand > Specific Runner 
  token = "PEASE CHANGE THIS"
  executor = "shell"
  [runners.custom_build_dir]
  [runners.cache]
    [runners.cache.s3]
    [runners.cache.gcs]
    [runners.cache.azure]
